IPCMK(1)

NAZWA
ipcmk - tworzy różne zasoby IPC

SKŁADNIA
ipcmk [opcje]

OPIS
ipcmk pozwala na tworzenie segmentów pamięci dzielonej, kolejek komunikatów i tablic semaforów.

OPCJE

Zasoby mogą być określane z następującymi opcjami:

-M, --shmem rozmiar
    Tworzy segment pamięci dzielonej o rozmiarze bajtów. Po argument rozmiar mogą występować przyrostki zwielokrotniające: KiB (=1024), MiB (=1024*1024), GiB itd. (cząstka "iB" jest opcjonalna, tzn. np. "K" znaczy to samo co "KiB") lub przyrostki KB (=1000), MB (=1000*1000), GB itd.

-Q, --queue
    Tworzy kolejkę komunikatów.

-S, --semaphore liczba
    Tworzy tablicę semaforów zawierająca liczbę elementów.

Inne opcje:

-p, --mode tryb
    Uprawnienia dostępu do zasobu. Domyślnie 0644.

-V, --version
    Wypisuje informację o wersji programu i wychodzi.

-h, --help
    Wyświetla pomoc i wychodzi.

ZOBACZ TAKŻE
ipcrm(1), ipcs(1)

AUTOR
Hayden A. James (hayden.james@gmail.com)

DOSTĘPNOŚĆ
Polecenie ipcmk jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.